// creator  : weidu.exe (version 23100)
// argument : UDSVIR06.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UDSVIR06~

IF ~Global("PermissionToOpenDoor","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #50800 /* ~This passage is impassable unless sent by the Lord of this place. Speak to our lead and he may grant access.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #50801 /* ~Until then, gnomish magic protects the seal. Tamper not or you endanger us all.~ */
  IF ~~ THEN EXIT
END

IF ~Global("PermissionToOpenDoor","GLOBAL",1)~ THEN BEGIN 2 // from:
  SAY #50802 /* ~I have been informed of the permission given. You may pass into the depths if you wish, though I worry for the dangers you may face.~ */
  IF ~~ THEN DO ~Unlock("Door01")
Spell(Myself,DO_NOTHING)
OpenDoor("Door01")
EscapeAreaObject("AR2300")~ EXIT
END
